Index: src/sas/qtgui/Calculators/DataOperationUtilityPanel.py
===================================================================
--- src/sas/qtgui/Calculators/DataOperationUtilityPanel.py	(revision d6b8a1dfaf6521ae4a9054d5195def2810d6d8bc)
+++ src/sas/qtgui/Calculators/DataOperationUtilityPanel.py	(revision e90988cd3c71ed989b47df2bed55bcd11e7733ce)
@@ -110,13 +110,6 @@
         documentation tree (after /doc/ ....".
         """
-        try:
-            location = GuiUtils.HELP_DIRECTORY_LOCATION + \
-                       "/user/sasgui/perspectives/calculator/data_operator_help.html"
-            self.manager._helpView.load(QtCore.QUrl(location))
-            self.manager._helpView.show()
-
-        except AttributeError:
-            # No manager defined - testing and standalone runs
-            pass
+        location = "/user/sasgui/perspectives/calculator/data_operator_help.html"
+        self.manager.showHelp(location)
 
     def onClose(self):
Index: src/sas/qtgui/Calculators/DensityPanel.py
===================================================================
--- src/sas/qtgui/Calculators/DensityPanel.py	(revision d4881f6af1db66e68fbbc5d7b5c67fc1f7bc1ea7)
+++ src/sas/qtgui/Calculators/DensityPanel.py	(revision e90988cd3c71ed989b47df2bed55bcd11e7733ce)
@@ -146,11 +146,6 @@
 
     def displayHelp(self):
-        try:
-            location = HELP_DIRECTORY_LOCATION + \
-                "/user/sasgui/perspectives/calculator/density_calculator_help.html"
+        location =  "/user/sasgui/perspectives/calculator/density_calculator_help.html"
+        self.manager.showHelp(location)
 
-            self.manager._helpView.load(QtCore.QUrl(location))
-            self.manager._helpView.show()
-        except AttributeError:
-            # No manager defined - testing and standalone runs
-            pass
+
Index: src/sas/qtgui/Calculators/GenericScatteringCalculator.py
===================================================================
--- src/sas/qtgui/Calculators/GenericScatteringCalculator.py	(revision 53c771ed573b1c8716ecc969b54a1d617a4cb931)
+++ src/sas/qtgui/Calculators/GenericScatteringCalculator.py	(revision e90988cd3c71ed989b47df2bed55bcd11e7733ce)
@@ -382,12 +382,6 @@
         documentation tree (after /doc/ ....".
         """
-        try:
-            location = GuiUtils.HELP_DIRECTORY_LOCATION + \
-                       "/user/sasgui/perspectives/calculator/sas_calculator_help.html"
-            self.manager._helpView.load(QtCore.QUrl(location))
-            self.manager._helpView.show()
-        except AttributeError:
-            # No manager defined - testing and standalone runs
-            pass
+        location = "/user/sasgui/perspectives/calculator/sas_calculator_help.html"
+        self.manager.showHelp(location)
 
     def onReset(self):
Index: src/sas/qtgui/Calculators/KiessigPanel.py
===================================================================
--- src/sas/qtgui/Calculators/KiessigPanel.py	(revision fbfc488f82ca4192217ad32b69f00fc4a4e137ab)
+++ src/sas/qtgui/Calculators/KiessigPanel.py	(revision e90988cd3c71ed989b47df2bed55bcd11e7733ce)
@@ -38,13 +38,6 @@
         documentation tree (after /doc/ ....".
         """
-        try:
-            location = GuiUtils.HELP_DIRECTORY_LOCATION + \
-                "/user/sasgui/perspectives/calculator/kiessig_calculator_help.html"
-
-            self.manager._helpView.load(QtCore.QUrl(location))
-            self.manager._helpView.show()
-        except AttributeError:
-            # No manager defined - testing and standalone runs
-            pass
+        location = "/user/sasgui/perspectives/calculator/kiessig_calculator_help.html"
+        self.manager.showHelp(location)
 
     def onCompute(self):
Index: src/sas/qtgui/Calculators/ResolutionCalculatorPanel.py
===================================================================
--- src/sas/qtgui/Calculators/ResolutionCalculatorPanel.py	(revision d6b8a1dfaf6521ae4a9054d5195def2810d6d8bc)
+++ src/sas/qtgui/Calculators/ResolutionCalculatorPanel.py	(revision e90988cd3c71ed989b47df2bed55bcd11e7733ce)
@@ -366,13 +366,6 @@
         documentation tree (after /doc/ ....".
         """
-        try:
-            location = GuiUtils.HELP_DIRECTORY_LOCATION + \
-                       "/user/sasgui/perspectives/calculator/resolution_calculator_help.html"
-            self.manager._helpView.load(QtCore.QUrl(location))
-            self.manager._helpView.show()
-
-        except AttributeError:
-            # No manager defined - testing and standalone runs
-            pass
+        location = "/user/sasgui/perspectives/calculator/resolution_calculator_help.html"
+        self.manager.showHelp(location)
 
     def onReset(self):
Index: src/sas/qtgui/Calculators/SldPanel.py
===================================================================
--- src/sas/qtgui/Calculators/SldPanel.py	(revision d4881f6af1db66e68fbbc5d7b5c67fc1f7bc1ea7)
+++ src/sas/qtgui/Calculators/SldPanel.py	(revision e90988cd3c71ed989b47df2bed55bcd11e7733ce)
@@ -213,11 +213,6 @@
 
     def displayHelp(self):
-        try:
-            location = GuiUtils.HELP_DIRECTORY_LOCATION + \
-                "/user/sasgui/perspectives/calculator/sld_calculator_help.html"
-            self.manager._helpView.load(QtCore.QUrl(location))
-            self.manager._helpView.show()
-        except AttributeError:
-            # No manager defined - testing and standalone runs
-            pass
-
+        location = "/user/sasgui/perspectives/calculator/sld_calculator_help.html"
+        self.manager.showHelp(location)
+
+
Index: src/sas/qtgui/Calculators/SlitSizeCalculator.py
===================================================================
--- src/sas/qtgui/Calculators/SlitSizeCalculator.py	(revision 53c771ed573b1c8716ecc969b54a1d617a4cb931)
+++ src/sas/qtgui/Calculators/SlitSizeCalculator.py	(revision e90988cd3c71ed989b47df2bed55bcd11e7733ce)
@@ -47,13 +47,6 @@
         documentation tree (after /doc/ ....".
         """
-        try:
-            location = GuiUtils.HELP_DIRECTORY_LOCATION + \
-                "/user/sasgui/perspectives/calculator/slit_calculator_help.html"
-
-            self._parent._helpView.load(QtCore.QUrl(location))
-            self._parent._helpView.show()
-        except AttributeError:
-            # No manager defined - testing and standalone runs
-            pass
+        location = "/user/sasgui/perspectives/calculator/slit_calculator_help.html"
+        self._parent.showHelp(location)
 
     def onBrowse(self):
Index: src/sas/qtgui/Calculators/UnitTesting/DataOperationUtilityTest.py
===================================================================
--- src/sas/qtgui/Calculators/UnitTesting/DataOperationUtilityTest.py	(revision 53c771ed573b1c8716ecc969b54a1d617a4cb931)
+++ src/sas/qtgui/Calculators/UnitTesting/DataOperationUtilityTest.py	(revision e90988cd3c71ed989b47df2bed55bcd11e7733ce)
@@ -4,4 +4,6 @@
 import logging
 import unittest
+import webbrowser
+
 from PyQt5 import QtGui, QtWidgets
 from PyQt5 import QtCore
@@ -119,6 +121,9 @@
     def testHelp(self):
         """ Assure help file is shown """
-        # this should not rise
+        self.widget.manager.showHelp = MagicMock()
         self.widget.onHelp()
+        self.assertTrue(self.widget.manager.showHelp.called_once())
+        args = self.widget.manager.showHelp.call_args
+        self.assertIn('data_operator_help.html', args[0][0])
 
     def testOnReset(self):
Index: src/sas/qtgui/Calculators/UnitTesting/DensityCalculatorTest.py
===================================================================
--- src/sas/qtgui/Calculators/UnitTesting/DensityCalculatorTest.py	(revision 53c771ed573b1c8716ecc969b54a1d617a4cb931)
+++ src/sas/qtgui/Calculators/UnitTesting/DensityCalculatorTest.py	(revision e90988cd3c71ed989b47df2bed55bcd11e7733ce)
@@ -121,7 +121,10 @@
     def testHelp(self):
         """ Assure help file is shown """
-
-        # this should not rise
+        self.widget.manager = QtWidgets.QWidget()
+        self.widget.manager.showHelp = MagicMock()
         self.widget.displayHelp()
+        self.assertTrue(self.widget.manager.showHelp.called_once())
+        args = self.widget.manager.showHelp.call_args
+        self.assertIn('density_calculator_help.html', args[0][0])
 
 if __name__ == "__main__":
Index: src/sas/qtgui/Calculators/UnitTesting/GenericScatteringCalculatorTest.py
===================================================================
--- src/sas/qtgui/Calculators/UnitTesting/GenericScatteringCalculatorTest.py	(revision 53c771ed573b1c8716ecc969b54a1d617a4cb931)
+++ src/sas/qtgui/Calculators/UnitTesting/GenericScatteringCalculatorTest.py	(revision e90988cd3c71ed989b47df2bed55bcd11e7733ce)
@@ -104,5 +104,9 @@
     def testHelpButton(self):
         """ Assure help file is shown """
+        self.widget.manager.showHelp = MagicMock()
         self.widget.onHelp()
+        self.assertTrue(self.widget.manager.showHelp.called_once())
+        args = self.widget.manager.showHelp.call_args
+        self.assertIn('sas_calculator_help.html', args[0][0])
 
     def testValidator(self):
Index: src/sas/qtgui/Calculators/UnitTesting/KiessigCalculatorTest.py
===================================================================
--- src/sas/qtgui/Calculators/UnitTesting/KiessigCalculatorTest.py	(revision 53c771ed573b1c8716ecc969b54a1d617a4cb931)
+++ src/sas/qtgui/Calculators/UnitTesting/KiessigCalculatorTest.py	(revision e90988cd3c71ed989b47df2bed55bcd11e7733ce)
@@ -5,8 +5,6 @@
 from PyQt5.QtCore import Qt
 
-# TEMP
-#import sas.qtgui.path_prepare
 import path_prepare
-
+from unittest.mock import MagicMock
 
 from sas.qtgui.Calculators.KiessigPanel import KiessigPanel
@@ -35,7 +33,10 @@
     def testHelp(self):
         """ Assure help file is shown """
-
-        # this should not rise
+        self.widget.manager = QtWidgets.QWidget()
+        self.widget.manager.showHelp = MagicMock()
         self.widget.onHelp()
+        self.assertTrue(self.widget.manager.showHelp.called_once())
+        args = self.widget.manager.showHelp.call_args
+        self.assertIn('kiessig_calculator_help.html', args[0][0])
 
     def testComplexEntryNumbers(self):
Index: src/sas/qtgui/Calculators/UnitTesting/ResolutionCalculatorPanelTest.py
===================================================================
--- src/sas/qtgui/Calculators/UnitTesting/ResolutionCalculatorPanelTest.py	(revision 53c771ed573b1c8716ecc969b54a1d617a4cb931)
+++ src/sas/qtgui/Calculators/UnitTesting/ResolutionCalculatorPanelTest.py	(revision e90988cd3c71ed989b47df2bed55bcd11e7733ce)
@@ -240,5 +240,10 @@
         """ Assure help file is shown """
         # this should not rise
+        self.widget.manager = QtWidgets.QWidget()
+        self.widget.manager.showHelp = MagicMock()
         self.widget.onHelp()
+        self.assertTrue(self.widget.manager.showHelp.called_once())
+        args = self.widget.manager.showHelp.call_args
+        self.assertIn('resolution_calculator_help.html', args[0][0])
 
     def testOnReset(self):
Index: src/sas/qtgui/Calculators/UnitTesting/SLDCalculatorTest.py
===================================================================
--- src/sas/qtgui/Calculators/UnitTesting/SLDCalculatorTest.py	(revision 53c771ed573b1c8716ecc969b54a1d617a4cb931)
+++ src/sas/qtgui/Calculators/UnitTesting/SLDCalculatorTest.py	(revision e90988cd3c71ed989b47df2bed55bcd11e7733ce)
@@ -142,7 +142,10 @@
     def testHelp(self):
         """ Assure help file is shown """
-
-        # this should not rise
+        self.widget.manager = QtWidgets.QWidget()
+        self.widget.manager.showHelp = MagicMock()
         self.widget.displayHelp()
+        self.assertTrue(self.widget.manager.showHelp.called_once())
+        args = self.widget.manager.showHelp.call_args
+        self.assertIn('sld_calculator_help.html', args[0][0])
 
 if __name__ == "__main__":
Index: src/sas/qtgui/Calculators/UnitTesting/SlitSizeCalculatorTest.py
===================================================================
--- src/sas/qtgui/Calculators/UnitTesting/SlitSizeCalculatorTest.py	(revision 53c771ed573b1c8716ecc969b54a1d617a4cb931)
+++ src/sas/qtgui/Calculators/UnitTesting/SlitSizeCalculatorTest.py	(revision e90988cd3c71ed989b47df2bed55bcd11e7733ce)
@@ -37,7 +37,10 @@
     def testHelp(self):
         """ Assure help file is shown """
-
-        # this should not rise
+        self.widget._parent = QtWidgets.QWidget()
+        self.widget._parent.showHelp = MagicMock()
         self.widget.onHelp()
+        self.assertTrue(self.widget._parent.showHelp.called_once())
+        args = self.widget._parent.showHelp.call_args
+        self.assertIn('slit_calculator_help.html', args[0][0])
 
     def testBrowseButton(self):
